/*
 * @Description: 
 * @Author: 琢磨先生
 * @Date: 2024-03-16 00:13:19
 * @LastEditors: 琢磨先生
 * @LastEditTime: 2026-03-24 22:47:06
 */
@font-face {
  font-family: "HYQiHeiX1";
  src: url("/font/HYQiHeiY1-55W.ttf");
}
@font-face {
  font-family: "HYRuiYiSong";
  src: url("/font/HYRuiYiSong-W.woff");
}
@font-face {
  font-family: "ScentSmile";
  src: url("/font/areminiscentsmile-Regular.ttf");
}
@font-face {
  font-family: "OzCaramel";
  src: url("/font/OzCaramel.ttf");
}

:root {
  --button-color: #997f4d;
}
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
html {
  font-size: calc(100vw / 7.5);
  height: 100%;
  font-family: "OzCaramel";
}
@media screen and (min-width: 751px) {
  html {
    font-size: 100px;
  }
}
body {
  height: 100%;
  /* font-family: "HYQiHeiX1", "Microsoft YaHei"; */
}

a {
  text-decoration: none;
}
img {
  font-size: 0;
}
button {
  border: none;
}
input {
  font-size: 0.24rem;
}

#app {
  height: 100%;
}

.container {
  /* max-width: 750px;  */
  margin: 0 auto;
  overflow: auto;
  height: 100%;
  background-size: 100% 100%;
  object-fit: fill;
  background-repeat: no-repeat;
  background-image: url("/images/home_bg.png");
}
.banner {
  width: 5.76rem;
  height: 2.19rem;
  font-size: 0;
  margin: 1rem auto 0;
}

.banner img {
  width: 100%;
}

/* 规则描述 */
.container .rule {
  width: 5.83rem;
  min-height: 8.69rem;
  background-image: url("/images/huodongguize_bg.png");
  background-repeat: no-repeat;
  background-size: 100% 100%;
  margin: 0.3rem auto;
}

.container > .rule .body {
  width: 100%;
  /* margin-left: 0.86rem; */
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 0.4rem 0 0.5rem;
  position: relative;
}
.container > .rule .body .box {
  margin-bottom: 0.25rem;
}
.container > .rule .body .box .header {
  display: flex;
  align-items: center;
  justify-content: center;
}
.container > .rule .body .box .tag {
  background: #5e401b;
  color: white;
  padding: 0 0.5rem;
  height: 0.32rem;
  font-size: 0.22rem;
  line-height: 0.22rem;
  border-radius: 0.16rem;
  display: flex;
  align-items: center;
  justify-content: center;
}
.container > .rule .box .date {
  font-size: 0.26rem;
  line-height: 0.26rem;
  color: #5e401b;
  margin-top: 0.1rem;
}

.container > .rule .box p {
  font-size: 0.2rem;
  line-height: 0.3rem;
  text-align: center;
  color: #5e401b;
  white-space: pre;
  margin-top: 0.1rem;
}

/* 表单 */
.container .form {
  width: 5.83rem;
  min-height: 8.69rem;
  /* background-image: url("/images/huodongguize_bg.png"); */
  /* background-repeat: no-repeat; */
  /* background-size: 100% 100%; */
  /* background-position-x: -0.06rem; */
  margin: 0.25rem auto 0;
  padding-top: 0.3rem;
  padding-bottom: 0.3rem;
}
/* 
.container .form .user {
  width: 5.64rem;
  margin: 0 auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  margin-top: 0.3rem;
  font-size: 0;
}
.container .form .user .col {
  padding: 0 0.4rem;
  max-width: 1.8rem;
  font-size: 0.22rem;
  line-height: 0.22rem;
  color: #5e401b;
  font-weight: 600;
  opacity: 0.5;
  text-align: center;
} */
.container .form .user div:nth-child(2) {
  border-left: 0.03rem solid #5e401b;
  border-right: 0.03rem solid #5e401b;
}

.container .form .body {
  /* width: 5.64rem; */
  /* margin: 0 auto; */
  display: flex;
  flex-direction: column;
  /* padding: 0.25rem 0.45rem; */
  position: relative;
}

/* 提交按钮 */
.btn {
  width: 4.71rem;
  height: 0.8rem;
  border: none;
  font-size: 0.26rem;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
  background: url('/images/btn.png') no-repeat;
  background-position: 0% 0%;
  background-size: 100% 100%;
  letter-spacing: .1rem;
}




.flex-row {
  display: flex;
  flex-direction: row;
}
